// File: sdb_error.h
// Created: Fri Dec 26 13:21:44 2003
// 

#ifndef __SDB_ERROR__
#define __SDB_ERROR__

#include "typedefs.h"

class sdb_error {
  const char* err;
public:
  sdb_error (const char *cerr): err(cerr) {};
  const char *what(void) {return err;}
};

class sdb_error_no_path : public sdb_error {
public:
  sdb_error_no_path (noid_type noid) : sdb_error("Path nod found !") {};
};

class sdb_error_incomplete_path : public sdb_error {
public:
  sdb_error_incomplete_path () : sdb_error("specified path is not complete !") {};
};


#endif

//  Local Variables:
//  mode: c++
//  End:
